Debian Bug report logs - #626673
pmake: insecure temporary files

version graph

Package: pmake; Maintainer for pmake is Sam Hocevar <sho@debian.org>; Source for pmake is src:bmake.

Reported by: Matej Vela <vela@debian.org>

Date: Sat, 14 May 2011 08:51:01 UTC

Severity: serious

Tags: fixed-upstream, patch, security

Found in version pmake/1.111-1

Fixed in versions pmake/1.111-3, pmake/1.111-1+lenny1, pmake/1.111-2+squeeze1

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar <sho@debian.org>:
Bug#626673; Package pmake. (Sat, 14 May 2011 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
New Bug report received and forwarded. Copy sent to Sam Hocevar <sho@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

1.111-1, 1.111-2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 14 May 2011 08:51:09 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: submit@bugs.debian.org
Subject: pmake: insecure temporary files
Date: Sat, 14 May 2011 10:04:38 +0200
Package: pmake
Version: 1.111-1, 1.111-2
Severity: serious
Tags: security fixed-upstream patch

/usr/share/mk/bsd.lib.mk and /usr/share/mk/bsd.prog.mk create temporary
files insecurely, with predictable names (/tmp/_depend<PID>), and
without using $TMPDIR.

To reproduce, run the depend target in a BSD package like csh:

    /tmp/csh-20070713$ pmake -dx depend 2>&1 | grep /tmp/_depend
    + TMP=/tmp/_depend7338
    + mv /tmp/_depend7338 .depend

This applies to both lenny and squeeze.  Upstream is not affected as the
code was eliminated back in 2003:

    <http://cvsweb.netbsd.org/bsdweb.cgi/src/share/mk/bsd.lib.mk#rev1.240>
    <http://cvsweb.netbsd.org/bsdweb.cgi/src/share/mk/bsd.prog.mk#rev1.193>

Patch to use mktemp(1):

--- pmake-1.111/mk/bsd.lib.mk~
+++ pmake-1.111/mk/bsd.lib.mk
@@ -291,7 +291,7 @@
 
 .if defined(SRCS)
 afterdepend: .depend
-	@(TMP=/tmp/_depend$$$$; \
+	@(TMP=`mktemp -t _dependXXXXXXXXXX` || exit $$?; \
 	    sed -e 's/^\([^\.]*\).o[ ]*:/\1.o \1.po \1.so \1.ln:/' \
 	      < .depend > $$TMP; \
 	    mv $$TMP .depend)
--- pmake-1.111/mk/bsd.prog.mk~
+++ pmake-1.111/mk/bsd.prog.mk
@@ -124,7 +124,7 @@
 
 .if defined(SRCS)
 afterdepend: .depend
-	@(TMP=/tmp/_depend$$$$; \
+	@(TMP=`mktemp -t _dependXXXXXXXXXX` || exit $$?; \
 	    sed -e 's/^\([^\.]*\).o[ ]*:/\1.o \1.ln:/' \
 	      < .depend > $$TMP; \
 	    mv $$TMP .depend)

Thanks,

Matej




Bug Marked as found in versions pmake/1.111-1. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. (Sat, 14 May 2011 11:39:05 GMT) Full text and rfc822 format available.

Reply sent to Sam Hocevar <sho@debian.org>:
You have taken responsibility. (Sun, 29 May 2011 14:54:09 GMT) Full text and rfc822 format available.

Notification sent to Matej Vela <vela@debian.org>:
Bug acknowledged by developer. (Sun, 29 May 2011 14:54:09 GMT) Full text and rfc822 format available.

Message #12 received at 626673-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sho@debian.org>
To: 626673-close@bugs.debian.org
Subject: Bug#626673: fixed in pmake 1.111-3
Date: Sun, 29 May 2011 14:50:40 +0000
Source: pmake
Source-Version: 1.111-3

We believe that the bug you reported is fixed in the latest version of
pmake, which is due to be installed in the Debian FTP archive:

pmake_1.111-3.debian.tar.gz
  to main/p/pmake/pmake_1.111-3.debian.tar.gz
pmake_1.111-3.dsc
  to main/p/pmake/pmake_1.111-3.dsc
pmake_1.111-3_amd64.deb
  to main/p/pmake/pmake_1.111-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar <sho@debian.org> (supplier of updated pmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 29 May 2011 15:44:08 +0200
Source: pmake
Binary: pmake
Architecture: source amd64
Version: 1.111-3
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar <sho@debian.org>
Changed-By: Sam Hocevar <sho@debian.org>
Description: 
 pmake      - NetBSD make
Closes: 610516 626673 626877
Changes: 
 pmake (1.111-3) unstable; urgency=low
 .
   * 100_mk.diff: prepend -Wl for linker-only flags (Closes: 610516).
   * 140_multiarch.diff: new patch for multiarch, courtesy of Guillem Jover;
     fixes hardcoded paths (Closes: #626877).
   * 150_mktemp.diff: new patch, replace insecure temporary file handling with
     proper mktemp use, courtesy of Matej Vela (Closes: 626673).
Checksums-Sha1: 
 a47c8af6fba7fe4a3a6df6776820bed46f796b71 1599 pmake_1.111-3.dsc
 f4517cd4ffbc4e275b8ccc84f27d2c91b79b7c68 31585 pmake_1.111-3.debian.tar.gz
 3338d2395185540312e25b601a99340675227342 249678 pmake_1.111-3_amd64.deb
Checksums-Sha256: 
 8c0db896084bc5dd6c7036fa79ca75cb680645d0193f6719e4bab6b568da1392 1599 pmake_1.111-3.dsc
 25c391e411459f4f5f2e7d9de379a92ddd941e39c54f73b06c5194a2d685eedf 31585 pmake_1.111-3.debian.tar.gz
 4abf2a306a533e0429ce0bcb63c902466302d7ab607d440e534853b0328eab55 249678 pmake_1.111-3_amd64.deb
Files: 
 3f0364f733b22522ab76bd6e1a292a5e 1599 devel optional pmake_1.111-3.dsc
 485005ded8b824e3290c5bd6521bbdb2 31585 devel optional pmake_1.111-3.debian.tar.gz
 c880bffa7df8feba620b9ba4a3d02c99 249678 devel optional pmake_1.111-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN4lOpAAoJEAVcSzX////+KKsQAIIRWH30do1QyDpGpO3tain2
gYvtKYwMg0D0xWSSsPTdwdu+TnO6Pbmw5KG5opT/Lqal7MpKAeCCdWxSceHIRcUj
6LZ7L7loYkzLENwn6a2vjrOI+kTna3+gafc8tPLhS47pJWxD4OwpRgFXXnD7ZGo7
Or76vPxMouFBE9noR9TgC3kGSsSDHj8ohBF18hT07f7l7glCmFb5Lj1Tn2xzUvgQ
BpiTFhPM+Msi9yJ2o9xvk8yQMKfGjy/YDM6lAW1aog78Tra98IIpNKl3Xgg2bYcs
w2qbVqnVNrRyTFjnLFYjMiSXi1S0eLqW+z0ogzjBO7yDkKE2QjeHR30Y2u1A3pd0
LANBZmQTBKGWwBDOIDNJmn1qmcBGasfGyDrCLUGNW9SQPyHmSsgp+KfOpmfQydu7
cTSk8et/rTppQub6P859Xpw69+z+lw8LZkswpN77s794C/2C6u68vTuT9IPbGh9t
11qaHSgY4QAZbbt4deaqwGivJwWFTxm1GXUOjKXm6KByOeI++iOpPXzZUKnlZV0L
Y9rHccMaKezXbVj3/I2F574RQ7rvPNCYoMDZtOar+oTuj2pLbeSujzm2KqxlPyBv
t9q4Ho6wHPdMVhTQ1+iezEuJmG5adfDncVwVOxb3pC7KZ+QHwiH7QIcxF16U30TD
ViXGiyb2tPdRy2ImFN+w
=rN1P
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar <sho@debian.org>:
Bug#626673; Package pmake. (Wed, 06 Jul 2011 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar <sho@debian.org>. (Wed, 06 Jul 2011 19:45:06 GMT) Full text and rfc822 format available.

Message #17 received at 626673@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 626673@bugs.debian.org
Subject: Re: (PRSC) Bug#626673: pmake: insecure temporary files
Date: Wed, 6 Jul 2011 20:42:44 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

Recently you fixed one or more security problems and as a result you closed
this bug. These problems were not serious enough for a Debian Security
Advisory, so they are now on my radar for fixing in the following suites
through point releases:

lenny (5.0.9)
squeeze (6.0.2)

Please prepare a minimal-changes upload targetting each of these suites,
and submit a debdiff to the Release Team [0] for consideration. They will
offer additional guidance or instruct you to upload your package.

I will happily assist you at any stage if the patch is straightforward and
you need help or lack time. Please keep me in CC at all times so I can
track the progress of this request.

For details of this process and the rationale, please see the original
announcement [1] and my blog post [2].

0: debian-release@lists.debian.org
1: <201101232332.11736.thijs@debian.org>
2: http://deb.li/prsc

Thanks,

with his security hat on:
-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar <sho@debian.org>:
Bug#626673; Package pmake. (Wed, 03 Aug 2011 19:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar <sho@debian.org>. (Wed, 03 Aug 2011 19:48:07 GMT) Full text and rfc822 format available.

Message #22 received at 626673@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: submit@bugs.debian.org
Cc: 626673@bugs.debian.org
Subject: opu: pmake: diff for NMU version 1.111-1+lenny1
Date: Wed, 3 Aug 2011 20:44:41 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
Tags: lenny
User: release.debian.org@packages.debian.org
Usertags: opu

Release managers: Please consider the attached patch for pmake in Lenny.
This fixes CVE-2011-1920 and is identical to the patch already applied to
unstable.


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[pmake-1.111-1+lenny1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar <sho@debian.org>:
Bug#626673; Package pmake. (Wed, 03 Aug 2011 20:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar <sho@debian.org>. (Wed, 03 Aug 2011 20:06:07 GMT) Full text and rfc822 format available.

Message #27 received at 626673@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: submit@bugs.debian.org
Cc: 626673@bugs.debian.org
Subject: pu: pmake: diff for NMU version 1.111-2+squeeze1
Date: Wed, 3 Aug 2011 21:03:38 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Release managers: Please consider the attached patch for pmake in Squeeze.
This fixes CVE-2011-1920 and is identical to the patch already applied to
unstable.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[pmake-1.111-2+squeeze1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 06 Aug 2011 19:57:07 GMT) Full text and rfc822 format available.

Notification sent to Matej Vela <vela@debian.org>:
Bug acknowledged by developer. (Sat, 06 Aug 2011 19:57:07 GMT) Full text and rfc822 format available.

Message #32 received at 626673-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 626673-close@bugs.debian.org
Subject: Bug#626673: fixed in pmake 1.111-1+lenny1
Date: Sat, 06 Aug 2011 19:56:06 +0000
Source: pmake
Source-Version: 1.111-1+lenny1

We believe that the bug you reported is fixed in the latest version of
pmake, which is due to be installed in the Debian FTP archive:

pmake_1.111-1+lenny1.diff.gz
  to main/p/pmake/pmake_1.111-1+lenny1.diff.gz
pmake_1.111-1+lenny1.dsc
  to main/p/pmake/pmake_1.111-1+lenny1.dsc
pmake_1.111-1+lenny1_amd64.deb
  to main/p/pmake/pmake_1.111-1+lenny1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated pmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Aug 2011 20:31:43 +0100
Source: pmake
Binary: pmake
Architecture: source amd64
Version: 1.111-1+lenny1
Distribution: oldstable
Urgency: low
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 pmake      - NetBSD make
Closes: 626673
Changes: 
 pmake (1.111-1+lenny1) oldstable; urgency=low
 .
   * Non-maintainer upload.
   * Backport fix for CVE-2011-1920 (symlink attack in bsd.lib.mk
     (Closes: #626673)
Checksums-Sha1: 
 f6752dc5b69a433c1b7711d12c85d3f52ae5316c 1620 pmake_1.111-1+lenny1.dsc
 4e6b0abd0b17dd2acff2b3372adf7e01dc4ed629 26636 pmake_1.111-1+lenny1.diff.gz
 80434a770343f5d74211db1c4ddb4109180ae4d6 256122 pmake_1.111-1+lenny1_amd64.deb
Checksums-Sha256: 
 a23d86216a000a3f8bb88192ca503d827d0fc6b4455f09cc197393ddd5b6f4d0 1620 pmake_1.111-1+lenny1.dsc
 f0ef73dc8ee0e3249e150c1116bda0a4554c84e3000226a64765335ceba8c680 26636 pmake_1.111-1+lenny1.diff.gz
 4c48c7e7ccce892dea1d54463a909797cb01450839aed08e2a2021c4baa05af6 256122 pmake_1.111-1+lenny1_amd64.deb
Files: 
 1045a99d131ecd901d4dbc3b64aeb303 1620 devel optional pmake_1.111-1+lenny1.dsc
 fa8e58c7729d042f3aec1f7b2646b7a8 26636 devel optional pmake_1.111-1+lenny1.diff.gz
 15e02ddf62a4a63a2451e10826ee7423 256122 devel optional pmake_1.111-1+lenny1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOPWJvAAoJEFOUR53TUkxRIYsP/j/ctTkRnoYp3IOI871KVtec
c9ivAmxIrpyXE5MHWisq/npXX3RIkZgq+INduQVtaqAEk5RQ6WOVx6vCn5VrZOSP
+tWHu+Gc+z1MPzI2tVJEYhQZOXeLwWA26mBkdbh/bvT2W60TUJKjWKYIt0cZW9BV
OLQmUa71Mf/m6Orb5d+DGRXvuSd1NrX8SbThKpzcGlclWESNhvsNpdue8wavKZWw
ShI3c/kPEzOEbVxRY1ove/kCGpHJs2fgSiPDARrzOiikzd67eWVApEZDo8Z1XPex
c+t7iIMobKfKO2pGUyeGCW8casDEtHmIcfuNpQT7aukzJZndwlxvYnvBH0Syf7Aw
YeB3hcpSUvAvkd576PlJEm359XE4WkCp6uLP90tBeoc5tHBjVI2tr1ezdMU8hF/t
ZNFbZ8PcPVYCMY1kmpuFK5/LZZUl1VrfMk/PPfGdJTgOHoRC3Tei1D8TBRaqnuyj
KD7JlJtqDe9gkvZYxdiEbCpoSS3qhDUWq5so8NWQiaiagVchXu8NEibG4ZxmVxZy
i8Mbi2c5bvXDxzfAbU9JFrDChJbyYK+47ZsqD4i1wz1x2Y+vf9xIHdeZ1jKjp8au
fDCW9pJ48JHgnrsFmeyaBLfIBipClBl+uMLc5MRTl57TEBo8OgrvCbokICOoPs9K
r7L/1vodQ2kFPJWQPdRg
=FWgJ
-----END PGP SIGNATURE-----





Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 06 Aug 2011 19:57:09 GMT) Full text and rfc822 format available.

Notification sent to Matej Vela <vela@debian.org>:
Bug acknowledged by developer. (Sat, 06 Aug 2011 19:57:09 GMT) Full text and rfc822 format available.

Message #37 received at 626673-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 626673-close@bugs.debian.org
Subject: Bug#626673: fixed in pmake 1.111-2+squeeze1
Date: Sat, 06 Aug 2011 19:56:07 +0000
Source: pmake
Source-Version: 1.111-2+squeeze1

We believe that the bug you reported is fixed in the latest version of
pmake, which is due to be installed in the Debian FTP archive:

pmake_1.111-2+squeeze1.debian.tar.gz
  to main/p/pmake/pmake_1.111-2+squeeze1.debian.tar.gz
pmake_1.111-2+squeeze1.dsc
  to main/p/pmake/pmake_1.111-2+squeeze1.dsc
pmake_1.111-2+squeeze1_amd64.deb
  to main/p/pmake/pmake_1.111-2+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated pmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Aug 2011 20:59:29 +0100
Source: pmake
Binary: pmake
Architecture: source amd64
Version: 1.111-2+squeeze1
Distribution: stable
Urgency: low
Maintainer: Sam Hocevar <sho@debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 pmake      - NetBSD make
Closes: 626673
Changes: 
 pmake (1.111-2+squeeze1) stable; urgency=low
 .
   * Non-maintainer upload.
   * Backport fix for CVE-2011-1920 (symlink attack in bsd.lib.mk
     (Closes: #626673)
Checksums-Sha1: 
 e82d1d2f96f4e493b73f4aed6776b567a668d3de 1633 pmake_1.111-2+squeeze1.dsc
 fd8d3ed5a145f0544a407fb34f35e5f0bbaffa38 29269 pmake_1.111-2+squeeze1.debian.tar.gz
 8abcd0b622af2a93dae606766e298acd03c8ef87 247662 pmake_1.111-2+squeeze1_amd64.deb
Checksums-Sha256: 
 2100c800eff89d0a785d054ff299dae39afe3bbe4d7db31f462d4053c8393218 1633 pmake_1.111-2+squeeze1.dsc
 5162d7f26f00e33f3525e5710edde9438297762484b3ae4580334a484d698cb2 29269 pmake_1.111-2+squeeze1.debian.tar.gz
 09cea7e39fda7a683946f3c54636cfabb030cfe2f8093a81dbdb5153efa03935 247662 pmake_1.111-2+squeeze1_amd64.deb
Files: 
 8cd6bec12b3c6456f3d5d93d9bcfcde8 1633 devel optional pmake_1.111-2+squeeze1.dsc
 41618b945b37c1599ad57cff3ac79380 29269 devel optional pmake_1.111-2+squeeze1.debian.tar.gz
 94af543abede418c0fea55c7aa97ad53 247662 devel optional pmake_1.111-2+squeeze1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOPWIdAAoJEFOUR53TUkxR6ncP/1TWuFiQP/V3l6ew6JeXXPde
9uDgq3oz7ma9LfSzuY/FnGaw00H09/JU/73nikmqXV3r8vXYq2iMwglFAS8RTazh
PSy9z53EbS5kDCUPFRZxqOLbiAonevcmh7z/O99LO5wSC1YWTwi5/DfmS3vRSf//
pINFMZRaG8NOiedSZ2+2PecCfFNFeWxGttUa2Si38d3RKnJLJF/3twLaijjmmzdq
WF4ay1hnNoloiH+qbVBiUwaXhySvcExDBgsRPX3NX4hhG2sTr+xqsgAP6CC15LUc
xcVV9FSYzoaU9c6mRO//gs9pUoQ7hWF2Jnzfu7G+u8soGuJdr4ZhxuMxgubyHP9I
lXjcnhqyZtJ3RiGkcuPifquGUaGclwbwF3PXeUGozB06huPJ2wwoFzV1f+RPUnTN
X7jv9Ei5yO12K2d5hEWOPy2fcr/qbTEMRu6G5cAgSNSmydCQVBf3ZXgEJ7yVDVna
JTyW6909M1e8WqBBgq1oHi1cBbwAucGAXOkWeLYmRz0jc0EtUxdX/TpQieX3jar+
WmdzcU2xweRR12C6BO2++YxXgVzr8wpay0CKYwOZ9r6RO8ilANM1lsK1U6tqxdGu
J4HvwKOApOkxZwP2kVoSaCl+aYhDoXHnZccqq8z+5ziN7nM72vBcgqEr6pFB3j08
D+1q/UYMp2d+SnNilIWF
=tjas
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Oct 2011 07:36:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:54:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.